<?php if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();
use Bitrix\Main\Loader;

//global $APPLICATION;
//Bitrix\Main\Application::getDocumentRoot() возвращает значение без слеша на конце, хотя в проеренном случаи $_SERVER["DOCUMENT_ROOT"] вернул с слешем, возможно первый вариант вызова всегда возвращает без слеша на конце, возможно имеет смысл это выяснить

//Подключение стандартных языковых переменных для параметров стандартного информационного блока news.list
Bitrix\Main\Localization\Loc::loadMessages(Bitrix\Main\Application::getDocumentRoot() . "/bitrix/components/bitrix/news.list/.parameters.php");

//var_dump($arCurrentValues);


if (!Loader::includeModule('iblock')) {return;}

//$iblockExists = (!empty($arCurrentValues['IBLOCK_ID']) && (int)$arCurrentValues['IBLOCK_ID'] > 0);


$arTypesEx = CIBlockParameters::GetIBlockTypes();//получить типы инфоблоков

$arIBlocks = array();//В массив будут получены инфоблоки
$iblockFilter = array(//Изначальный массив фильтров для получения инфоблоков
  "ACTIVE" => "Y",
);
if (!empty($arCurrentValues["IBLOCK_TYPE"])) {//Дополнение массива фильтра если выбран тип инфоблока
  $iblockFilter["TYPE"] = $arCurrentValues["IBLOCK_TYPE"];
}
if (isset($_REQUEST["site"])) {//Добавил такие строки, поскольку они были в стандартном компоненте news.list, по-факту может ли в рассматриваемом случаи передана переменная сайт - не выяснено
  $iblockFilter["SITE_ID"] = $_REQUEST["site"];
}

//Получение информационных блоков соответствующих фильтру
$db_iblock = CIBlock::GetList(["SORT"=>"ASC"],$iblockFilter);
while($arRes = $db_iblock->Fetch()) {
  $arIBlocks[$arRes["ID"]] = "[" . $arRes["ID"] . "] " . $arRes["NAME"];
}




/*
array(3) {
  ["COMPONENT_TEMPLATE"]=&gt;
  string(8) ".default"
  ["TEMPLATE_FOR_DATE"]=&gt;
  string(7) "Y-m-d H"
  ["IBLOCK_TYPE"]=&gt;
  string(4) "news"
}

    "IBLOCK_ID" => array(
      "PARENT" => "BASE",
      "NAME" => GetMessage("T_IBLOCK_DESC_LIST_ID"),
      "TYPE" => "LIST",
      "VALUES" => $arIBlocks,
      "DEFAULT" => '={$_REQUEST["ID"]}',
      "ADDITIONAL_VALUES" => "Y",
      "REFRESH" => "Y",
  ),
*/



$arComponentParameters = array(
  "GROUPS" => array(),
  "PARAMETERS" => array(
    "IBLOCK_TYPE" => array(
      "PARENT" => "BASE",
      "NAME" => GetMessage("T_IBLOCK_DESC_LIST_TYPE"),
      "TYPE" => "LIST",
      "VALUES" => $arTypesEx,
      "DEFAULT" => "news",
      "REFRESH" => "Y",
    ),
    "IBLOCK_ID" => array(
      "PARENT" => "BASE",
      "NAME" => GetMessage("T_IBLOCK_DESC_LIST_ID"),
      "TYPE" => "LIST",
      "VALUES" => $arIBlocks,
      "DEFAULT" => '={$_REQUEST["ID"]}',
      "ADDITIONAL_VALUES" => "Y",
      "REFRESH" => "Y",
    ),
  ),
);
